Quassel IRC - Bug #1044

[Postgres] Prepared statements go missing, rendering core useless until restarted
01/30/2011 03:19 PM - TerrorBite
Target version: 0.7.2

Version: 0.6.2 0S: Linux
Description

On occasion (in my case, every few days) the postgres database will "forget" the prepared statements given to it by the quasselcore.
The immediate effects of this is that attached clients cease to receive any new messages, and newly attached clients will receive
zero backlog (all buffers will be empty). Incoming events from IRC also fail to be entered in the database. This will persist until the
core is restarted.

Sample log output follows (IRC nicks have been changed to protect the innocent):

2011-01-31 01:04:50 Error: unhandled Error in QSqlQuery!

2011-01-31 01:04:50 Error: last Query: EXECUTE quassel_2 ('2011-1-30 14:04:50.792', 943, 1, 0, 'User!~
User@Mask-D77B20BF.fbx.proxad.net', 'no, it was a different fork')

2011-01-31 01:04:50 Error: executed Query:

2011-01-31 01:04:50 Error: bound Values:

2011-01-31 01:04:50 Error: Error Number: -1

2011-01-31 01:04:50 Error: Error Message: ERROR: prepared statement "quassel_2" does not existQPSQL: Unable to
create query

2011-01-31 01:04:50 Error: Driver Message: QPSQL: Unable to create query

2011-01-31 01:04:50 Error: DB Message: ERROR: prepared statement "quassel_2" does not exist

2011-01-31 01:04:50 Error: unhandled Error in QSqlQuery!

2011-01-31 01:04:50 Error: last Query: EXECUTE quassel_1 (‘'User!~User@Mask-D77B20BF.fbx.proxad.net')
2011-01-31 01:04:50 Error: executed Query:

2011-01-31 01:04:50 Error: bound Values:

2011-01-31 01:04:50 Error: Error Number: -1

2011-01-31 01:04:50 Error: Error Message: ERROR: prepared statement "quassel_1" does not existQPSQL: Unable to
create query

2011-01-31 01:04:50 Error: Driver Message: QPSQL: Unable to create query

2011-01-31 01:04:50 Error: DB Message: ERROR: prepared statement "quassel_1" does not exist

Further information:
It has been speculated that the bug occurs when the core loses connection to the database and then reconnects. However, both my
core and database run on the same machine, and should be connecting via loopback or local socket.

Related issues:
Has duplicate Quassel IRC - Bug #1026: Quasselcore doesn't handle interrupted... Closed 09/26/2010

History

#1 - 01/31/2011 12:31 PM - TerrorBite

This issue should now be marked as fixed thanks to committed patch by EgS.

#2 - 01/31/2011 09:58 PM - johu
- Status changed from New to Resolved
- Assignee set to EgS

- Target version setto 0.7.2

See commit 85c5d43c
